#ifndef NPC_HPP_INCLUDED
#define NPC_HPP_INCLUDED

#include "Character.hpp"
#include "../JavaClass/Class.hpp"
#include "NPCInfo.hpp"

namespace Internal
{
    class NPC : public Character
    {
        public:
            NPC();
            NPC(const void* Obj);
            NPC(const NPC& N);
            static Class GetClass();

            NPCInfo GetNPCInfo() const;

    };
}

#endif // NPC_HPP_INCLUDED
